# SpeciesFormChangePreMoveTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangePreMoveTrigger

#### Hierarchy (View Summary)

- SpeciesFormChangeMoveTrigger
  - SpeciesFormChangePreMoveTrigger

- Defined in src/data/pokemon-forms.ts:381

##### Index

### Constructors

constructor

### Properties

description
movePredicate
used

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangePreMoveTrigger(
  move: Moves | ((m: Moves ) => boolean),
  used?: boolean,
  ): SpeciesFormChangePreMoveTrigger

  #### Parameters

  - move: Moves | ((m: Moves ) => boolean)
  - used: boolean = true

  #### Returns SpeciesFormChangePreMoveTrigger

  Inherited from SpeciesFormChangeMoveTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:374

## Properties

### description

description: string = ...

Overrides SpeciesFormChangeMoveTrigger.description

- Defined in src/data/pokemon-forms.ts:382

### movePredicate

movePredicate: (m: Moves ) => boolean

Inherited from SpeciesFormChangeMoveTrigger.movePredicate

- Defined in src/data/pokemon-forms.ts:371

### used

used: boolean

Inherited from SpeciesFormChangeMoveTrigger.used

- Defined in src/data/pokemon-forms.ts:372

## Methods

### canChange

- canChange(pokemon: default ): boolean

  #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeMoveTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:384

### hasTriggerType

- hasTriggerType(triggerType: Constructor < SpeciesFormChangeTrigger >): boolean

  #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  Inherited from SpeciesFormChangeMoveTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:228